/* $Id: numarray.h,v 1.7 2002/06/17 14:22:49 jaytmiller Exp $ */ 

#include "numconfig.h"

#define PY_BOOL_CHAR "b"
#define PY_INT8_CHAR "b"
#define PY_INT16_CHAR "h"
#define PY_INT32_CHAR "i"
#define PY_FLOAT32_CHAR "f"
#define PY_FLOAT64_CHAR "d"
#define PY_UINT8_CHAR "h"
#define PY_UINT16_CHAR "i"
#define PY_UINT32_CHAR "i" /* Unless longer int available */
#define PY_COMPLEX64_CHAR "D"
#define PY_COMPLEX128_CHAR "D"

#define PY_LONG_CHAR "l"

#define pyFPE_DIVIDE_BY_ZERO  1
#define pyFPE_OVERFLOW        2
#define pyFPE_UNDERFLOW       4
#define pyFPE_INVALID         8

#define MAXARGS 20

#define isNonZERO(x) (x != 0) /* to convert values to boolean 1's or 0's */

typedef char Bool;

typedef signed char Int8;
typedef short int Int16;
typedef int Int32;

typedef unsigned char UInt8;
typedef unsigned short int UInt16;
typedef unsigned int UInt32;

#if HAS_INT64
typedef long int Int64;
typedef unsigned long int UInt64;
typedef Int64 Long;
#else
typedef Int32 Long;
#endif

typedef float Float32;
typedef double Float64;

#if HAS_FLOAT128
typedef long double Float128;
#endif

/* From Numeric lapack_litemodule, from f2c */
typedef struct { Float32 r, i; } Complex32;
typedef struct { Float64 r, i; } Complex64;

